import { getPrediction } from "./getPrediction.js";
import { makeApiRequest } from "./helpers/makeApiRequest.js";
/** Cancel a running prediction.
 *
 * If you have a `PredictionStatusObject`, you don't have to use this function, just call `.cancel()` on that object.
 *
 * @returns A `PredictionStatusObject` representing the new state.
 */
export const cancelPrediction = async (options) => {
    await makeApiRequest(options, "POST", `predictions/${options.id}/cancel`);
    return await getPrediction(options);
};
