import { ReplicateRequestOptions } from "./helpers/makeApiRequest";
import { ModelNameOptions } from "./predict";
/** Options for `getVersions` */
export declare type GetVersionsOptions = ModelNameOptions & ReplicateRequestOptions;
/** Get a list of all versions that are availabe for a model */
export declare const getVersions: (options: GetVersionsOptions) => Promise<{
    next: string | null;
    previous: string | null;
    /** The most recent version */
    version: string | undefined;
    versions: {
        id: string;
        created_at: Date;
        cog_version: string;
        schema: unknown;
    }[];
}>;
