import { PredictionStatusObject } from "./helpers/convertPrediction";
import { ReplicateRequestOptions } from "./helpers/makeApiRequest";
export declare type PollPredictionOptions = {
    /** The id of a prediction */
    id: string;
    /** Timeout in milliseconds
     * @default 3600000
     */
    timeout?: number;
} & ReplicateRequestOptions;
/** Poll a prediction by ID.
 *
 * If you have a `PredictionStatusObject`, you don't have to use this function, just call `.poll()` on that object.
 *
 *  If the timeout occurs an error is thrown.
 *
 * @returns A new `PredictionStatusObject`. It has a status of either "succeeded", "failed" or "canceled".
 */
export declare const pollPrediction: (options: PollPredictionOptions, initialResult?: PredictionStatusObject) => Promise<PredictionStatusObject>;
